devguard
Processes

Create a new process.

POST
/processes/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/processes/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "name": "string",    "kind": "CHECKLIST",    "ownerId": "string"  }'
{  "id": "string",  "slug": "string",  "organizationId": "string",  "name": "string",  "identifier": "string",  "description": "string",  "kind": "CHECKLIST",  "version": "string",  "owner": {    "id": "string",    "name": "string",    "slug": "string"  },  "businessRoleIds": [    "string"  ],  "cadenceSchedule": {    "id": "string",    "name": "string",    "slug": "string"  },  "labels": [    {      "id": "string",      "name": "string",      "slug": "string",      "color": "string",      "scope": "string"    }  ],  "nextDueAt": "string",  "lastCompletedAt": "string",  "archivedAt": "string",  "createdAt": "string",  "updatedAt": "string",  "runCount": 0,  "openRunCount": 0,  "pendingReportCount": 0,  "definition": {    "kind": "checklist",    "sections": [      {        "id": "string",        "title": "string",        "items": [          {            "id": "string",            "label": "string",            "target": "string",            "note": "string"          }        ]      }    ]  },  "evidenceCount": 0}

How is this guide?